=== debian/control ===
Source: isa-support
Section: misc
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>=10), sharutils, po-debconf
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/isa-support.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/isa-support.git

Package: sse2-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of sse2.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: any-i386

Package: sse3-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of sse3.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: any-i386 any-amd64
Pre-Depends: libc6 (>= 2.2.5)

Package: sse4.2-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of sse4.2.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: any-i386 any-amd64
Pre-Depends: libc6 (>= 2.2.5)

Package: altivec-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of altivec.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: powerpc

Package: neon-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of neon.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: armhf
