## isa-support 5

=== debian/changelog ===
isa-support (5) unstable; urgency=medium

  * Chinese (simplified) translation (Boyuan Yang).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 17 Jan 2018 01:05:58 +0100

isa-support (4) unstable; urgency=medium

  * French translation (Jean-Pierre Giraud).  Closes: #875549
  * Russian translation (Lev Lamberov).  Closes: #883205
  * Brazilian translation (Raimundo Corrêa).  Closes: #887471
  * Move the VCS to salsa.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 17 Jan 2018 00:52:58 +0100

isa-support (3) unstable; urgency=medium

  * Make the build reproducible (Chris Lamb).  Closes: #872453
  * German translation (Chris Leick).  Closes: #873378
  * Dutch translation (Frans Spiesschaert).  Closes: #874283

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Sep 2017 21:43:34 +0200
