=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	./build

override_dh_installdebconf:
	dh_installdebconf -- --podir=debian/po.tmp
