## isa-support 6

=== debian/changelog ===
isa-support (6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply a C compiler. (Closes: #982186)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Feb 2021 02:12:50 +0100
