=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>=10), sharutils, po-debconf
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/isa-support.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/isa-support.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/isa-support.git
+Vcs-Browser: https://salsa.debian.org/debian/isa-support.git
 
 Package: sse2-support
 Priority: optional
