=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+-include /usr/share/dpkg/buildtools.mk
+export CC
 
 %:
 	dh $@
