## isa-support 15

=== debian/changelog ===
isa-support (15) unstable; urgency=high

  * Bug fix: "version 14 fails to install where version 13 installs fine
    due to different binary capitalization: test-sse3 vs test-SSE3",
    thanks to Axel Beckert (Closes: #1019556).
  * Install qemu-bad-ISA/qemu-good-ISA in order to allow test

 -- Bastien Roucariès <rouca@debian.org>  Mon, 12 Sep 2022 10:53:47 +0000

isa-support (14) unstable; urgency=medium

  * Bug fix: "improving package descriptions", thanks to Daniel Baumann
    (Closes: #919858).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 11 Sep 2022 13:39:10 +0000

isa-support (13) unstable; urgency=medium

  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Wed, 31 Aug 2022 19:33:51 +0000

isa-support (12) experimental; urgency=medium

  * Bug fix: "isa-support.deb description doesn't make sense", thanks
    to Christoph Berg (Closes: #1018714).
  * Bug fix: "Please build sse4.1-support", thanks to Michael
    R. Crusoe (Closes: #959722).
  * Introduce armv6k-support needed by nodejs

 -- Bastien Roucariès <rouca@debian.org>  Mon, 29 Aug 2022 17:01:50 +0000

isa-support (11) unstable; urgency=medium

  * asm statement should be volatile
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Mon, 22 Aug 2022 12:56:19 +0000

isa-support (10) experimental; urgency=medium

  * Detect vfp, vfp2, vfp3 floating point on armel
  * Detect arm version on armel (Closes: #994712).

 -- Bastien Roucariès <rouca@debian.org>  Sat, 20 Aug 2022 13:59:37 +0000

isa-support (9) unstable; urgency=medium

  * Upload to sid
  * Allow isa-support package to be co-installable
  * Replace bash by sh in preinst script by setting core file limit
    in C source and catching SIGILL, SIGBUS, SIGSEGV

 -- Bastien Roucariès <rouca@debian.org>  Thu, 18 Aug 2022 09:54:18 +0000

isa-support (8) experimental; urgency=medium

  [ Gioele Barabucci ]
  * d/preinst: Use base64 instead of uuencode+perl to encode test binaries
  * d/control: Adopt package (Closes: #1014892)
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * d/control: Update to debhelper compat 13
  * d/control: Fix Vcs-Browser URL
  * d/preinst: Use `||` and `&&` instead of non well defined `-o` and `-a`
  * d/preinst: Use command substitutions instead of backticks
  * build: Split into multiple scripts
  * build: Delegate compilation to Makefile
  * Materialize package files
  * d/control: Add instruction set name to Description
  * calculate-shlibdeps: Run only on archs supported by host machine
  * d/po: Refresh po files (no changes in messages)
  * d/control: Avoid repeated Priority field in binary package stanzas
  * d/s/lintian-overrides: Drop package-depends-on-hardcoded-libc
  * d/gitlab-ci: Add standard CI instructions

  [ Bastien Roucariès ]
  * Add myself as uploader
  * run salsa-ci tests
  * Run make only on test for DEB_HOST_ARCH
  * Split package and do not use embdeded base64 ELF binaries in preinst
    (Closes: 1017513)

 -- Bastien Roucariès <rouca@debian.org>  Wed, 17 Aug 2022 10:26:10 +0000

isa-support (7) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Work around dpkg-shlibdeps failing when in a clean git checkout.
    Closes: #1014712

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 13 Jul 2022 23:33:28 +0200
