## isa-support 15.1

=== debian/changelog ===
isa-support (15.1) unstable; urgency=high

  * Fix .maintscript generation for /usr/share/doc/$PACKAGE -> isa-support
    symlink conversion.  (Closes: #1035766). Thanks to Andreas Beckmann.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 May 2023 19:44:40 +0000
