=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS ?= hardening=+all
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	make refresh

execute_before_dh_installdebconf:
	./expand-translations debian/po.tmp

override_dh_installdocs:
	dh_installdocs --link-doc=isa-support

override_dh_installdebconf:
	dh_installdebconf -- --podir=debian/po.tmp

override_dh_dwz:
	# workarround lintian bug
	dh_dwz --no-dwz-multifile
