## isa-support 16

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 TEST_BINARIES = $(foreach isa,$(ISAS),test-$(isa))
-QEMU_BINARIES = $(foreach isa,$(ISAS),qemu-good-$(isa)) $(foreach isa,$(ISAS),qemu-bad-$(isa))
+QEMU_BINARIES = $(foreach type,good static-good bad static-bad,$(foreach isa,$(ISAS),qemu-$(type)-$(isa)))
 TEST_SOURCES = $(foreach isa,$(ISAS),test-$(isa).c)
 
 GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).docs)
