=== debian/changelog ===
isa-support (16) experimental; urgency=medium

  * Run test suite using qemu-static

 -- Bastien Roucariès <rouca@debian.org>  Mon, 12 Sep 2022 12:57:11 +0000
