=== debian/tests/control ===
Tests: test-SSE2
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386

Tests: test-SSE3
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.1
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.2
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386 any-amd64

Tests: test-ARMv6
Depends: isa-support, qemu-user-static, build-essential
Architecture: armel

Tests: test-ARMv6K
Depends: isa-support, qemu-user-static, build-essential
Architecture: armel
