## isa-support 20

=== debian/changelog ===
isa-support (20) unstable; urgency=medium

  * Work arround qemu bug #1041471.
  * Remove Gioele Barabucci as uploader. Thanks Giole

 -- Bastien Roucariès <rouca@debian.org>  Fri, 28 Jul 2023 17:35:59 +0000

isa-support (19) unstable; urgency=medium

  * Upload to unstable
  * Bug fix: "[INTL:es] Spanish translation of isa-support debconf
    template", thanks to Camaleón (Closes: #1036375).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 18 Jun 2023 16:05:40 +0000

isa-support (18) experimental; urgency=medium

  * Release with fix from Andreas Beckmann.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 May 2023 19:53:50 +0000

isa-support (17) experimental; urgency=medium

  * Add ABI version on i386/amd64

 -- Bastien Roucariès <rouca@debian.org>  Mon, 27 Feb 2023 09:10:04 +0000
