=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: isa-support
 Section: misc
 Priority: optional
-Uploaders: Gioele Barabucci <gioele@svario.it>
 Maintainer: Bastien Roucariès <rouca@debian.org>
 Build-Depends: debhelper-compat (= 13), po-debconf
 Standards-Version: 4.6.1
@@ -274,3 +273,4 @@
 Multi-Arch: foreign
 Architecture: armel
 Pre-Depends: isa-support (= ${binary:Version})
+Description: CPU feature checking - require VFPv3
