## isa-support 21build1

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).templates)
 GENERATED_FILES += $(TEST_SOURCES)
 ALL_GENERATED_FILES += $(GENERATED_FILES) debian/control
+ALL_BINARIES = $(TEST_BINARIES) $(QEMU_BINARIES)
 
 INPUT_FILES = $(wildcard debian/*.in)
 
@@ -38,8 +39,8 @@
 	@:
 
 clean:
-	rm -f $(TEST_BINARIES)
 	rm -f $(GENERATED_FILES)
+	rm -f $(ALL_BINARIES)
 	rm -f .last-refresh
 
 install:
