=== debian/changelog ===
isa-support (21build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:37 +0200

isa-support (21) unstable; urgency=medium

  * Fix a typo in qemu emulation for sse

 -- Bastien Roucariès <rouca@debian.org>  Sun, 26 Nov 2023 13:22:02 +0000
