=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: isa-support
 Section: misc
 Priority: optional
-Maintainer: Bastien Roucariès <rouca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bastien Roucariès <rouca@debian.org>
 Build-Depends: debhelper-compat (= 13), po-debconf
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -273,4 +274,3 @@
 Multi-Arch: foreign
 Architecture: armel
 Pre-Depends: isa-support (= ${binary:Version})
-Description: CPU feature checking - require VFPv3
