## isa-support 24

=== debian/changelog ===
isa-support (24) unstable; urgency=medium

  * Sourcefull upload

 -- Bastien Roucariès <rouca@debian.org>  Wed, 26 Jun 2024 21:56:42 +0000

isa-support (23) unstable; urgency=medium

  * Upload to unstable
  * Rebuild from source (Closes: #1029792)
  * Bug fix: "[INTL:sv] Swedish strings for isa-support debconf", thanks
    to Martin Bagge (Closes: #1071730).

 -- Bastien Roucariès <rouca@debian.org>  Wed, 26 Jun 2024 06:01:56 +0000

isa-support (22) experimental; urgency=medium

  * Add x86-64-v2-support, x86-64-v3-support and
    amd64-baseline-support packages.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 24 Jun 2024 12:16:24 +0000
