## isa-support 26~cloud0

=== debian/changelog ===
isa-support (26~cloud0) noble-epoxy; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 19:13:16 +0000

isa-support (26) unstable; urgency=medium

  * Upload to unstable
  * Fix typo in description (Closes: #1086662)
  * Fix lintian warning
  * Fix crossbuild

 -- Bastien Roucariès <rouca@debian.org>  Sun, 03 Nov 2024 22:50:48 +0000

isa-support (25) experimental; urgency=medium

  * Enable neon for armel.
  * Test neon using HWCAP.
  * Enable altivec detection on all ppc.
  * Bug fix: "please add armv8 + crc support package", thanks to Luca
    Boccassi (Closes: #1075759).
  * Add test for arm64-baseline.

 -- Bastien Roucariès <rouca@debian.org>  Wed, 30 Oct 2024 14:05:28 +0000
