=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,6 @@
 override_dh_installdebconf:
 	dh_installdebconf -- --podir=debian/po.tmp
 
-override_dh_dwz:
-	# workarround lintian bug
-	dh_dwz --no-dwz-multifile
+#override_dh_dwz:
+#	# workarround lintian bug
+#	dh_dwz --no-dwz-multifile
