=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Tests: test-amd64-baseline
 Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
-Architecture: any-i386 any-amd64
+Architecture: any-i386
 
 Tests: test-x86-64-v1
 Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
